ChangeSet 1.1233, 2003/06/18 16:48:47-07:00, per.winkvist@telia.com

[PATCH] USB: more unusual_devs.h changes

I've modified James Courtier-Dutton description from Optio 430 => Optio
2/3/400 since it applies to Optio 330 and possible 230 too.

Attached are the patch that was tried with Pentax Optio S and Optio 330 RS.
I've talked to Pete Zaitcev and he said I should be using CB instead since
more devices liked that better... so I leave that to you!


 drivers/usb/storage/unusual_devs.h |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:38 2003
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:38 2003
@@ -592,6 +592,26 @@
                 0 ),
 #endif
 
+/* This Pentax still camera is not conformant
+ * to the USB storage specification: -
+ * - It does not like the INQUIRY command. So we must handle this command
+ *   of the SCSI layer ourselves.
+ * Tested on Rev. 10.00 (0x1000)
+ * Submitted by James Courtier-Dutton <James@superbug.demon.co.uk>
+ */
+UNUSUAL_DEV( 0x0a17, 0x0004, 0x1000, 0x1000,
+                "Pentax",
+                "Optio 2/3/400",
+                US_SC_8070, US_PR_CBI, NULL,
+                US_FL_FIX_INQUIRY ),
+
+/* Submitted by Per Winkvist <per.winkvist@uk.com> */
+UNUSUAL_DEV( 0x0a17, 0x006, 0x1000, 0x9009,
+                "Pentax",
+                "Optio S",
+                US_SC_8070, US_PR_CBI, NULL,
+                US_FL_FIX_INQUIRY ),
+
 /* Submitted by Brian Hall <brihall@pcisys.net>
  * Needed for START_STOP flag */
 UNUSUAL_DEV(  0x0c76, 0x0003, 0x0100, 0x0100,
